TokenFilter.Inclusion (Jackson-core 2.14.0 API)

com.fasterxml.jackson.core.filter

## Enum TokenFilter.Inclusion

- java.lang.Object
- - java.lang.Enum<TokenFilter.Inclusion>
  - - com.fasterxml.jackson.core.filter.TokenFilter.Inclusion

- All Implemented Interfaces:
    Serializable, Comparable<TokenFilter.Inclusion>
  Enclosing class:
    TokenFilter

      public static enum TokenFilter.Inclusion
      extends Enum<TokenFilter.Inclusion>

  Enumeration that controls how TokenFilter return values are interpreted.
  Since:
    2.12

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INCLUDE_ALL_AND_PATH` When TokenFilter.INCLUDE_ALL is returned, the corresponding token will be included as well as enclosing tokens up to the root
    `INCLUDE_NON_NULL` Tokens will be included if any non-null filter is returned.
    `ONLY_INCLUDE_ALL` Tokens will only be included if the filter returns TokenFilter.INCLUDE_ALL

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TokenFilter.Inclusion` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TokenFilter.Inclusion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ONLY_INCLUDE_ALL

          public static final TokenFilter.Inclusion ONLY_INCLUDE_ALL

      Tokens will only be included if the filter returns TokenFilter.INCLUDE_ALL

    - #### INCLUDE_ALL_AND_PATH

          public static final TokenFilter.Inclusion INCLUDE_ALL_AND_PATH

      When TokenFilter.INCLUDE_ALL is returned, the corresponding token will be included as well as enclosing tokens up to the root

    - #### INCLUDE_NON_NULL

          public static final TokenFilter.Inclusion INCLUDE_NON_NULL

      Tokens will be included if any non-null filter is returned. The exception is if a field name returns a non-null filter, but the field value returns a null filter. In this case the field name and value will both be omitted.

  - ### Method Detail

    - #### values

          public static TokenFilter.Inclusion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TokenFilter.Inclusion c : TokenFilter.Inclusion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TokenFilter.Inclusion valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2022 FasterXML. All rights reserved.